Lisp for revised revcloud for acad2004

Discussion in 'AutoCAD' started by rjdrw, Jan 15, 2005.

  1. rjdrw

    rjdrw Guest

    I am new to the LISP language (actually just printed all the documents from afralips.com to start learning about it).

    I am interested in a lisp that may be of help to many people and not just me alone.

    Here is the request for revcloud used in paperspace and/or model space:

    Star lisp:
    -Set layer to a specific layer (xlayer)
    If xlayer does not exist in the drawing, create the layer
    -start the revcloud command with the calligraphy option to
    revcloud in acad2004 (or set pline width to 1/32†then
    start the revcloud command)
    -complete the revcloud command
    -insert a revision triangle with attributed text
    -set layer to “0†for save and close of drawing
    End lisp

    Preffered: A dialogue box which you can pick between arc lengths (1/4†for paper space or 12†for model space), specify attribute value for revision triangle, and specify calligraphy or normal for arc type.

    Help would be greatly appreciated.
     
    rjdrw, Jan 15, 2005
    #1
  2. Hi,

    The moment you mention a dialog box and lisp you have a real problem as the
    standard mehtod of creating these is highly arcane.

    You would be far better writing this program in VBA.

    Just as a starter here is some code in both languages to create and make a
    layer current.

    Open the VLIDE interface and type in the first line

    (command "Layer" "M" "LayerName" "")

    Then open the VBAIDE and type in the lines below. You'll see the advantage
    of the VBAIDE editor immediately.

    ThisDrawing.Layers.Add "LayerName"
    ThisDrawing.ActiveLayer = ThisDrawing.Layers.Item("LayerName")

    Then click on [Insert][UserForm] and start designing your form layout.
    You'll have it finished before you even know how to start building a form in
    Lisp.

    --

    Regards,


    Laurie Comerford
    www.cadapps.com.au
     
    Laurie Comerford, Jan 15, 2005
    #2
  3. rjdrw

    rjdrw Guest

    I have never seen VBA before. For that matter, I haven't seen anything done in VBA either.
    Do you know where I could find literature on learning to do this?
     
    rjdrw, Jan 17, 2005
    #3
  4. Hi,

    Type in VBAIDE, then press the F1 key to get help.
    There is enough information there that it will take you several days to read
    it.- Not that you will, but at least sample it so you have an idea of what's
    there.

    If you like to read about it in a book, I found Andrew Roe's "Using Visual
    Basic with AutoCAD" an excellent introduction to this subject.

    If you read back through this NG, you will find lots of references to other
    books and lots of other information and ideas on programming.

    --


    Laurie Comerford
    CADApps
    www.cadapps.com.au
     
    Laurie Comerford, Jan 17, 2005
    #4
  5. rjdrw

    GaryDF Guest

    I have customized AutoCAD's revision cloud routine and added some new features.

    Go to customer-files, custom revision cloud routine for my example.
    This will get you started.

    Gary

    afralips.com to start learning about it).
    paper space or 12" for model space), specify attribute value for revision
    triangle, and specify calligraphy or normal for arc type.
     
    GaryDF, Jan 19, 2005
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.